# TSCreate

This function creates an empty timestepper. The problem type can then be set with TSSetProblemType() and the type of solver can then be set with TSSetType().

### Synopsis

    #include "petscts.h"
    PetscErrorCode PETSCTS_DLLEXPORT TSCreate(MPI_Comm comm, TS *ts)

Collective on MPI_Comm

### Input Parameter

comm -The communicator

### Output Parameter

ts -The TS

### Keywords

TS, create

### See Also

TSSetType(), TSSetUp(), TSDestroy(), MeshCreate(), TSSetProblemType()

Level:beginner
Location: src/ts/interface/tscreate.c
Index of all TS routines
Table of Contents for all manual pages
Index of all manual pages

### Examples

src/ts/examples/tutorials/ex1.c.html
src/ts/examples/tutorials/ex2.c.html
src/ts/examples/tutorials/ex3.c.html
src/ts/examples/tutorials/ex4.c.html
src/ts/examples/tutorials/ex5.c.html
src/ts/examples/tutorials/ex6.c.html
src/ts/examples/tutorials/ex7.c.html
src/ts/examples/tutorials/ex1f.F.html
src/ts/examples/tutorials/ex2f.F.html